<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();


// $pager = new Yab_Helper_Pager($fsn_categories_index, 'pager_fsn_categorie');

// $fsn_categories_index_index = $pager->getStatement();
$fsn_categories_index->noLimit();

?>
<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableFsn_categorie;
        setClickableRow();
        oTableFsn_categorie = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableFsn_categorie.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

</script>


<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_fsn_categories_index_wrapper">
		<table id="table_fsn_categories_index"
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('fsn_categorie_title_index')) ; ?>
			</caption>
			<thead>
				
				<tr class="headings">
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('id')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('categorie_object')) ; ?>
					</th>
					<th>
						<?php echo $filter_html->filter( $i18n->say('categorie_type')) ; ?>
					</th>
			<!--  		<th>
						<?php echo $filter_no_html->filter( $i18n->say('categorie_key')) ; ?>
					</th>-->
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('categorie_value')) ; ?>
					</th>
					<th>
						<?php echo $filter_html->filter( $i18n->say('system')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('visible')) ; ?>
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('ordre')) ; ?>	
					</th>
					<th>
						<?php echo $filter_no_html->filter( $i18n->say('description')) ; ?>	
						</th>
					
					<th colspan="2" align="center"><a
						href="<?php echo $this->getRequest('Fsn_categorie', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign"
							style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>
					</a></th>
				</tr>
			</thead>
			
			
			
			<tbody>
				<?php foreach($fsn_categories_index as $fsn_categorie){ ?>
			
				<tr
				href="<?php echo $this->getRequest('Fsn_Categorie', 'show', array($fsn_categorie->get('id')) ); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

					<td class="table-row-data">
						<?php echo $fsn_categorie->get('id', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('categorie_object', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('categorie_type', $filter_html); ?>
					</td>
			<!--  	<td class="table-row-data">
						<?php echo $fsn_categorie->get('categorie_key', $filter_html); ?>
					</td> -->
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('categorie_value', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('system', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('visible', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('ordre', $filter_html); ?>
					</td>
					<td class="table-row-data">
						<?php echo $fsn_categorie->get('description', $filter_html); ?>
					</td>
					<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Fsn_Categorie', 'edit', array($fsn_categorie->get('id')) ); ?>"><span
							class="glyphicon glyphicon-edit" style="font-size: 18px;"
							alt="Editer" title="Editer"></span></a></td>
					<td class="table-row-option"><a
						
						href="<?php echo $this->getRequest('Fsn_Categorie', 'delete', array($fsn_categorie->get('id')) ); ?>"><span
							class="glyphicon glyphicon-remove-circle alert-danger"
							style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
		href="<?php echo $this->getRequest('Index', 'index'); ?>"
		class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>
